Bug 824700 - [iBFT boot] OS cannot automatically mount partition with _netdev option when boot from iSCSI.
[iBFT boot] OS cannot automatically mount partition with _netdev option when ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
6.4
All Linux
unspecified Severity high
: rc
: ---
Assigned To: initscripts Maintenance Team
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 22:50 EDT by Gris Ge
Modified: 2012-06-04 22:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 22:38:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gris Ge 2012-05-23 22:50:00 EDT
Description of problem:
I installed RHEL 6.2 to my workstation which is boot from iSCSI (iBFT).
Paritions was created in anaconda during installation.
This is the fstab created by anaconda.

===
/dev/mapper/vg_grisredhat-rhel6 /                       ext4    defaults,_rnetdev 1 1
UUID=d8a801f6-adc4-40c4-a96e-5486a8c640a8 /boot                   ext4    defaults,_netdev 1 2
/dev/mapper/vg_grisredhat-lv_bak /media/backup           ext4    defaults,_netdev 1 2
/dev/mapper/vg_grisredhat-swap swap                    swap    defaults,_netdev 0 0
===

After OS reboot, the "/media/backup" is not mounted. besides that, /boot, swap, / are all mounted.

Remove "_netdev" option from "/media/backup" will fix this problem.

Version-Release number of selected component (if applicable):
kernel-2.6.32-220.el6.x86_64
util-linux-ng-2.17.2-12.4.el6.x86_64
iscsi-initiator-utils-6.2.0.872-34.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install OS to a server/workstation which boot from iBFT iSCSI.
2. Create a data partition beside /, swap, boot.
3. Reboot OS
  
Actual results:
data partition not mounted.

Expected results:
All partition mounted.


Additional info:

Not sure whether this bug should go to iscsi or dracut or anaconda.
As "mount" command belong to util-linux-ng, I open to it initiatlly.
Feel free to change it.

I will also try to install RHEL 6.3 RTT repo.
Comment 1 Karel Zak 2012-05-24 03:37:32 EDT
BTW, is it good idea to use /media for in-fstab defined mountpoints? IMHO is better to use /mnt.
Comment 2 Gris Ge 2012-05-24 04:53:46 EDT
/mnt will be used for beaker test case, and I have been use /media mountpoint for a while.

If their are special rull for /media folder about _netdev, please let me know, I will fight with my habit.
Comment 3 Bill Nottingham 2012-05-24 09:01:47 EDT
Does running 'mount -a' after booting mount it? /media is unusual, but it shouldn't cause a problem off the top of my head.
Comment 4 Gris Ge 2012-05-31 05:50:45 EDT
Yes. "mount -a" after boot up works well.
I am sure /media mount point is OK as I use it for 5 years on my local SATA disk. (but not boot from iSCSI.)

Sorry for the late response.

Bill, could you use "needinfo" next time if you are checking some info with me?
I have tons of bug CCed (200+ unclosed). I only filter out "needinfo" email.

Thanks.
Comment 5 Gris Ge 2012-05-31 05:54:17 EDT
Xiaoli,

I have no physical access to my workstation.
Can you check whether the same problem exist in RHEL 6.3?
Just use my workstation (I have remapped it a new LUN).
Comment 6 Bill Nottingham 2012-05-31 09:28:50 EDT
Are there any error messages during boot from trying to mount it?
Comment 7 Gris Ge 2012-05-31 22:09:23 EDT
Sorry, that system is out of my control now. You might need to wait for a while. That system is busy with testing for Intel FakeRAID for RHEL 6.3 RC.

Xiaoli,

Please attach the sosreport also if you triggered the issue.
Comment 8 Xiaowei Li 2012-05-31 22:35:27 EDT
(In reply to comment #7)
> Sorry, that system is out of my control now. You might need to wait for a
> while. That system is busy with testing for Intel FakeRAID for RHEL 6.3 RC.
> 
> Xiaoli,
> 
> Please attach the sosreport also if you triggered the issue.

Will update this bz today.
Comment 9 Xiaowei Li 2012-06-01 03:27:34 EDT
(In reply to comment #5)
> Xiaoli,
> 
> I have no physical access to my workstation.
> Can you check whether the same problem exist in RHEL 6.3?
> Just use my workstation (I have remapped it a new LUN).

I don't hit this issue in RHEL6.3-20120523.1-Server-x86_64 during more then 10 times OS reboot.
Comment 10 Gris Ge 2012-06-04 22:38:00 EDT
Per comment #9, CLOSE it as current release.

Note You need to log in before you can comment on or make changes to this bug.